Bug 728329 (perl-Test-Version)

Summary: Review Request: perl-Test-Version - Check to see that versions in modules are sane
Product: [Fedora] Fedora Reporter: Paul Howarth <paul>
Component: Package ReviewAssignee: Iain Arnell <iarnell>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: iarnell, notting, package-review
Target Milestone: ---Flags: iarnell: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-Test-Version-1.0.0-3.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-03 15:25:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 728286, 728972, 729653, 729813, 729972    
Bug Blocks:    

Description Paul Howarth 2011-08-04 18:03:25 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Test-Version/branches/fedora/perl-Test-Version.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Test-Version/perl-Test-Version-1.0.0-2.fc17.src.rpm

Description:
This module's goal is to be a one stop shop for checking to see that your
versions across your dist are sane.

Comment 1 Paul Howarth 2011-08-04 18:09:52 UTC
Note that I haven't made any effort to make this one EPEL-compatible because no current RHEL release has a sufficiently recent perl(version) - it needs 0.86.

Comment 3 Iain Arnell 2011-08-12 04:21:26 UTC
Sorry, took the wrong bug - was aiming for the dependencies first.

Comment 4 Iain Arnell 2011-08-28 10:21:17 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=3307347

Comment 5 Iain Arnell 2011-08-28 10:35:47 UTC
Nicely documented as usual. If I was being picky, I'd point out the missing author/release test dependency on Test::Pod::LinkCheck and that it still needs to be packaged for Fedora. But no real problems, so APPROVED.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3307347

Spec looks sane, clean and consistent; license is correct (Artistic 2.0);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
baa9526af3710718b93e051942eca85fa70af6a8 Test-Version-1.0.0.tar.gz
baa9526af3710718b93e051942eca85fa70af6a8 Test-Version-1.0.0.tar.gz.srpm

Final provides / requires are sane:

======> perl-Test-Version-1.0.0-3.fc17.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(Test::Version) = 1.0.0
perl-Test-Version = 1.0.0-3.fc17
====> requires
perl >= 0:5.006
perl(File::Find::Rule::Perl)  
perl(:MODULE_COMPAT_5.14.1)  
perl(Module::Extract::VERSION)  
perl(parent)  
perl(strict)  
perl(Test::Builder)  
perl(Test::More)  
perl(version) >= 0.86
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-Test-Version-1.0.0-3.fc17.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
aspell-en  
perl(Carp)  
perl(English)  
perl(Exporter)  
perl(ExtUtils::MakeMaker)  
perl(File::Find)  
perl(File::Find::Rule::Perl)  
perl(File::Temp)  
perl(Module::Extract::VERSION)  
perl(parent)  
perl(Pod::Coverage::TrustPod)  
perl(Pod::Wordlist::hanekomu)  
perl(Scalar::Util)  
perl(Test::Builder)  
perl(Test::CPAN::Changes)  
perl(Test::CPAN::Meta)  
perl(Test::CPAN::Meta::JSON)  
perl(Test::DistManifest)  
perl(Test::EOL)  
perl(Test::Kwalitee)  
perl(Test::MinimumVersion)  
perl(Test::Mojibake)  
perl(Test::More)  
perl(Test::Perl::Critic)  
perl(Test::Pod) >= 1.41
perl(Test::Pod::Coverage) >= 1.08
perl(Test::Portability::Files)  
perl(Test::Spelling) >= 0.12
perl(Test::Synopsis)  
perl(Test::Tester)  
perl(Test::Vars)  
perl(version) >= 0.86
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.12 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.12
INFO: Mock Version: 1.1.12
State Changed: lock buildroot
INFO: installing package(s): perl-Test-Version-1.0.0-3.fc17.noarch.rpm
INFO: Ignored option -c (probably due to merging -yc != -y -c)

================================================================================
 Package                     Arch   Version           Repository           Size
================================================================================
Installing:
 perl-Test-Version           noarch 1.0.0-3.fc17      /perl-Test-Version-1.0.0-3.fc17.noarch
                                                                           20 k
Installing for dependencies:
 perl-CPAN                   noarch 1.9600-185.fc17   fedora              259 k
 perl-CPAN-Meta-YAML         noarch 0.003-185.fc17    fedora               33 k
 perl-Digest-SHA             x86_64 1:5.61-185.fc17   fedora               67 k
 perl-ExtUtils-MakeMaker     noarch 6.57.5-185.fc17   fedora              303 k
 perl-ExtUtils-ParseXS       noarch 1:2.2210-185.fc17 fedora               52 k
 perl-File-Find-Rule         noarch 0.32-6.fc16       fedora               33 k
 perl-File-Find-Rule-Perl    noarch 1.10-3.fc16       fedora               19 k
 perl-HTTP-Tiny              noarch 0.012-185.fc17    fedora               40 k
 perl-JSON-PP                noarch 2.27200-2.fc16    fedora               54 k
 perl-Module-Extract-VERSION noarch 1.01-3.fc17       fedora              8.4 k
 perl-Number-Compare         noarch 0.01-16.fc16      fedora              9.4 k
 perl-Params-Util            x86_64 1.04-2.fc16       fedora               35 k
 perl-Parse-CPAN-Meta        noarch 1:1.4401-185.fc17 fedora               32 k
 perl-Test-Harness           noarch 3.23-185.fc17     fedora              287 k
 perl-Test-Simple            noarch 0.98-185.fc17     fedora              118 k
 perl-Text-Glob              noarch 0.09-2.fc16       fedora               11 k
 perl-devel                  x86_64 4:5.14.1-185.fc17 fedora              450 k
 perl-parent                 noarch 1:0.225-185.fc17  fedora               30 k
 perl-version                noarch 3:0.88-185.fc17   fedora               55 k
 python                      x86_64 2.7.2-8.fc17      fedora               73 k
 systemtap-sdt-devel         x86_64 1.6-1.fc16        fedora               46 k

Transaction Summary
================================================================================
Install      22 Package(s)

Total size: 2.0 M
Total download size: 28 k
Installed size: 4.6 M

Installed:
  perl-Test-Version.noarch 0:1.0.0-3.fc17                                       

Dependency Installed:
  perl-CPAN.noarch 0:1.9600-185.fc17                                            
  perl-CPAN-Meta-YAML.noarch 0:0.003-185.fc17                                   
  perl-Digest-SHA.x86_64 1:5.61-185.fc17                                        
  perl-ExtUtils-MakeMaker.noarch 0:6.57.5-185.fc17                              
  perl-ExtUtils-ParseXS.noarch 1:2.2210-185.fc17                                
  perl-File-Find-Rule.noarch 0:0.32-6.fc16                                      
  perl-File-Find-Rule-Perl.noarch 0:1.10-3.fc16                                 
  perl-HTTP-Tiny.noarch 0:0.012-185.fc17                                        
  perl-JSON-PP.noarch 0:2.27200-2.fc16                                          
  perl-Module-Extract-VERSION.noarch 0:1.01-3.fc17                              
  perl-Number-Compare.noarch 0:0.01-16.fc16                                     
  perl-Params-Util.x86_64 0:1.04-2.fc16                                         
  perl-Parse-CPAN-Meta.noarch 1:1.4401-185.fc17                                 
  perl-Test-Harness.noarch 0:3.23-185.fc17                                      
  perl-Test-Simple.noarch 0:0.98-185.fc17                                       
  perl-Text-Glob.noarch 0:0.09-2.fc16                                           
  perl-devel.x86_64 4:5.14.1-185.fc17                                           
  perl-parent.noarch 1:0.225-185.fc17                                           
  perl-version.noarch 3:0.88-185.fc17                                           
  python.x86_64 0:2.7.2-8.fc17                                                  
  systemtap-sdt-devel.x86_64 0:1.6-1.fc16                                       


State Changed: unlock buildroot
State Changed: end

Comment 6 Paul Howarth 2011-09-03 21:08:11 UTC
New Package SCM Request
=======================
Package Name: perl-Test-Version
Short Description: Check to see that versions in modules are sane
Owners: pghmcfc
Branches: F-14 F-15 F-16
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2011-09-04 19:08:09 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-09-05 06:41:31 UTC
perl-Test-Version-1.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Test-Version-1.0.0-3.fc15

Comment 9 Fedora Update System 2011-09-05 06:41:39 UTC
perl-Test-Version-1.0.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-Version-1.0.0-3.fc14

Comment 10 Fedora Update System 2011-09-05 06:41:47 UTC
perl-Test-Version-1.0.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Test-Version-1.0.0-3.fc16

Comment 11 Fedora Update System 2011-09-14 22:31:58 UTC
perl-Test-Version-1.0.0-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-09-14 22:39:44 UTC
perl-Test-Version-1.0.0-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 13 Fedora Update System 2011-09-30 18:56:05 UTC
perl-Test-Version-1.0.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Paul Howarth 2011-10-03 15:25:58 UTC
The module is now available everywhere there's a suitably recent perl(version).

Thanks for the review Iain.